# Struct libc::in_addr [−] [src]

    #[repr(C)]
    pub struct in_addr {
        pub s_addr: in_addr_t,
    }

## Fields

`s_addr: in_addr_t`

## Trait Implementations

### `impl Copy for in_addr`
[src]

### `impl Clone for in_addr`
[src]

#### `fn clone(&self) -> in_addr`
[src]

Returns a copy of the value. Read more

#### `fn clone_from(&mut self, source: &Self)`
1.0.0
[src]

Performs copy-assignment from `source`. Read more

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)